> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Update a Contact Address

PUT https://api.virtuoussoftware.com/api/ContactAddress/{contactAddressId}
Content-Type: application/json

Similar to other update methods in the API, excluding a property will remove it's value from the object. 
If you're only updating a single property, the entire model is still required.

Reference: https://virtuous.ferndocs.com/reference/crm-plus/contacts-and-individuals/update-a-contact-address

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `contactAddressId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `label` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postal` (string, optional)
- `country` (string, optional)
- `setAsPrimary` (string, optional)
- `startMonth` (string, optional)
- `startDay` (string, optional)
- `endMonth` (string, optional)
- `endDay` (string, optional)

## Response

### 200

OK

- `id` (string, optional)
- `label` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postal` (string, optional)
- `country` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)
- `startMonth` (string, optional)
- `startDay` (string, optional)
- `endMonth` (string, optional)
- `endDay` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Examples

**Request**

```json
{
  "label": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "country": "<string>",
  "setAsPrimary": "<boolean>",
  "startMonth": "<integer>",
  "startDay": "<integer>",
  "endMonth": "<integer>",
  "endDay": "<integer>"
}
```

**Response**

```json
{
  "id": "<integer>",
  "label": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "country": "<string>",
  "isPrimary": "<boolean>",
  "canBePrimary": "<boolean>",
  "startMonth": "<integer>",
  "startDay": "<integer>",
  "endMonth": "<integer>",
  "endDay": "<integer>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>"
}
```

**SDK Code**

```python Contacts and Individuals_updateAContactAddress_example
import requests

url = "https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId"

payload = {
    "label": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal": "<string>",
    "country": "<string>",
    "setAsPrimary": "<boolean>",
    "startMonth": "<integer>",
    "startDay": "<integer>",
    "endMonth": "<integer>",
    "endDay": "<integer>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Contacts and Individuals_updateAContactAddress_example
const url = 'https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"label":"<string>","address1":"<string>","address2":"<string>","city":"<string>","state":"<string>","postal":"<string>","country":"<string>","setAsPrimary":"<boolean>","startMonth":"<integer>","startDay":"<integer>","endMonth":"<integer>","endDay":"<integer>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Contacts and Individuals_updateAContactAddress_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId"

	payload := strings.NewReader("{\n  \"label\": \"<string>\",\n  \"address1\": \"<string>\",\n  \"address2\": \"<string>\",\n  \"city\": \"<string>\",\n  \"state\": \"<string>\",\n  \"postal\": \"<string>\",\n  \"country\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"startMonth\": \"<integer>\",\n  \"startDay\": \"<integer>\",\n  \"endMonth\": \"<integer>\",\n  \"endDay\": \"<integer>\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Contacts and Individuals_updateAContactAddress_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"label\": \"<string>\",\n  \"address1\": \"<string>\",\n  \"address2\": \"<string>\",\n  \"city\": \"<string>\",\n  \"state\": \"<string>\",\n  \"postal\": \"<string>\",\n  \"country\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"startMonth\": \"<integer>\",\n  \"startDay\": \"<integer>\",\n  \"endMonth\": \"<integer>\",\n  \"endDay\": \"<integer>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Contacts and Individuals_updateAContactAddress_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"label\": \"<string>\",\n  \"address1\": \"<string>\",\n  \"address2\": \"<string>\",\n  \"city\": \"<string>\",\n  \"state\": \"<string>\",\n  \"postal\": \"<string>\",\n  \"country\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"startMonth\": \"<integer>\",\n  \"startDay\": \"<integer>\",\n  \"endMonth\": \"<integer>\",\n  \"endDay\": \"<integer>\"\n}")
  .asString();
```

```php Contacts and Individuals_updateAContactAddress_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId', [
  'body' => '{
  "label": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "country": "<string>",
  "setAsPrimary": "<boolean>",
  "startMonth": "<integer>",
  "startDay": "<integer>",
  "endMonth": "<integer>",
  "endDay": "<integer>"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Contacts and Individuals_updateAContactAddress_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"label\": \"<string>\",\n  \"address1\": \"<string>\",\n  \"address2\": \"<string>\",\n  \"city\": \"<string>\",\n  \"state\": \"<string>\",\n  \"postal\": \"<string>\",\n  \"country\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"startMonth\": \"<integer>\",\n  \"startDay\": \"<integer>\",\n  \"endMonth\": \"<integer>\",\n  \"endDay\": \"<integer>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Contacts and Individuals_updateAContactAddress_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "label": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "country": "<string>",
  "setAsPrimary": "<boolean>",
  "startMonth": "<integer>",
  "startDay": "<integer>",
  "endMonth": "<integer>",
  "endDay": "<integer>"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/ContactAddress/contactAddressId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```